Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr.inline
Class LeafNodeLayoutManager.AreaInfo

    java.lang.Object
      org.apache.fop.layoutmgr.inline.LeafNodeLayoutManager.AreaInfo

Enclosing class:
  LeafNodeLayoutManager

protected class LeafNodeLayoutManager.AreaInfo
extends java.lang.Object

Store information about the inline area

Field Summary
`protected AlignmentContext` | `alignmentContext`
`protected boolean` | `bHyphenated`
`protected short` | `iLScount`
`protected MinOptMax` | `ipdArea`

Constructor Summary
`LeafNodeLayoutManager.AreaInfo(short iLS, MinOptMax ipd, boolean bHyph, AlignmentContext alignmentContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iLScount

    protected short iLScount

### ipdArea

    protected MinOptMax ipdArea

### bHyphenated

    protected boolean bHyphenated

### alignmentContext

    protected AlignmentContext alignmentContext

Constructor Detail

### LeafNodeLayoutManager.AreaInfo

    public LeafNodeLayoutManager.AreaInfo(short iLS,
                                          MinOptMax ipd,
                                          boolean bHyph,
                                          AlignmentContext alignmentContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.